com.eloview.homesdk.networkManager

## Enum NetworkType

- java.lang.Object
- - java.lang.Enum<NetworkType>
  - - com.eloview.homesdk.networkManager.NetworkType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NetworkType>

      public enum NetworkType
      extends java.lang.Enum<NetworkType>

  `NetworkConfig` only accepts a network type which is defined in the enum @`NetworkType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LAN`
    `WiFi`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static NetworkType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NetworkType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WiFi

          public static final NetworkType WiFi

    - #### LAN

          public static final NetworkType LAN

  - ### Method Detail

    - #### values

          public static NetworkType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NetworkType c : NetworkType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NetworkType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()